package vc.thinker.absctacts.protocolproxy.enums.service;

import lombok.Getter;
import vc.thinker.absctacts.protocolproxy.enums.DataType;

/**
 * 参数定义
 *
 * @author HeTongHao
 * @since 2022/8/11 17:11
 */
@Getter
public class ParamDefine implements IServiceParamDefine {
    private ParamDefine(String code, DataType dataType) {
        this.code = code;
        this.dataType = dataType;
    }

    private final String code;
    private final DataType dataType;

    public static ParamDefine build(String code, DataType dataType) {
        return new ParamDefine(code, dataType);
    }
}
